Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.network.packet
Class Packet28EntityVelocity

    java.lang.Object
      net.minecraft.network.packet.Packet
          net.minecraft.network.packet.Packet28EntityVelocity

    public class Packet28EntityVelocity

extends Packet

Field Summary
`int` | `entityId`
`int` | `motionX`
`int` | `motionY`
`int` | `motionZ`

Fields inherited from class net.minecraft.network.packet.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet28EntityVelocity()`
`Packet28EntityVelocity(Entity par1Entity)`
`Packet28EntityVelocity(int par1, double par2, double par4, double par6)`

Method Summary
`boolean` | `containsSameEntityIDAs(Packet par1Packet)` eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
`int` | `getPacketSize()` Abstract.
`boolean` | `isRealPacket()` only false for the abstract Packet class, all real packets return true
`void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.network.packet.Packet
`getNewPacket, getPacketId, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entityId

    public int entityId

### motionX

    public int motionX

### motionY

    public int motionY

### motionZ

    public int motionZ

Constructor Detail

### Packet28EntityVelocity

    public Packet28EntityVelocity()

### Packet28EntityVelocity

    public Packet28EntityVelocity(Entity par1Entity)

### Packet28EntityVelocity

    public Packet28EntityVelocity(int par1,
                                  double par2,
                                  double par4,
                                  double par6)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Specified by:
    `readPacketData` in class `Packet`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Specified by:
    `writePacketData` in class `Packet`
  Throws:
    `IOException`

### processPacket

    public void processPacket(NetHandler par1NetHandler)

  Passes this Packet on to the NetHandler for processing.

  Specified by:
    `processPacket` in class `Packet`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Specified by:
    `getPacketSize` in class `Packet`

### isRealPacket

    public boolean isRealPacket()

  only false for the abstract Packet class, all real packets return true

  Overrides:
    `isRealPacket` in class `Packet`

### containsSameEntityIDAs

    public boolean containsSameEntityIDAs(Packet par1Packet)

  eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class

  Overrides:
    `containsSameEntityIDAs` in class `Packet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD